org.apache.solr.client.solrj.io.comp

## Enum ComparatorOrder

- java.lang.Object
- - java.lang.Enum<ComparatorOrder>
  - - org.apache.solr.client.solrj.io.comp.ComparatorOrder

- All Implemented Interfaces:
    Serializable, Comparable<ComparatorOrder>

      public enum ComparatorOrder
      extends Enum<ComparatorOrder>

  Enum for supported comparator ordering

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING`
    `DESCENDING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComparatorOrder` | `fromString(String order)`
    `String` | `toString()`
    `static ComparatorOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ComparatorOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final ComparatorOrder ASCENDING

    - #### DESCENDING

          public static final ComparatorOrder DESCENDING

  - ### Method Detail

    - #### values

          public static ComparatorOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ComparatorOrder c : ComparatorOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ComparatorOrder valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static ComparatorOrder fromString(String order)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ComparatorOrder>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.